Name:           berusky
Version:        1.7.2
Release:        %mkrel 4
Summary:        Advanced sokoban clone with nice graphics
License:        GPLv2+
Group:          Games/Puzzles
URL:            https://www.anakreon.cz
Source0:        https://anakreon.cz/download/%{name}-%{version}.tar.gz
Source1:        %{name}.png
Patch1:         berusky-1.7.2-mga-fix-working-paths.patch
Patch2:         berusky-1.7.2-fix-cpp-code.patch

BuildRequires:  gettext
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
Requires:       %{name}-data >= 1.7

%description
Berusky is a 2D logic game based on an ancient puzzle named Sokoban.

An old idea of moving boxes in a maze has been expanded with new logic
items such as explosives, stones, special gates and so on.
In addition, up to five bugs can cooperate and be controlled by the player.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# Remove docs from a wrong directory
rm -rf %{buildroot}%{_prefix}/doc

# Install icon
install -D -p %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

# Desktop-file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Berusky
Comment=Rescue the bugs!
Exec=%{name}
Terminal=false
Type=Application
StartupNotify=false
Icon=%{name}
Categories=Game;LogicGame;
EOF

# Move berusyk.ini to /etc
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/%{name}.ini %{buildroot}%{_sysconfdir}/%{name}

# Fix path for the games data dir for files from berusky-data
rm -fR %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}

# Move binary to /usr/games
mv %{buildroot}%{_bindir} %{buildroot}%{_gamesbindir}

%files
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%config(noreplace) %{_sysconfdir}/%{name}/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.7.2-4.mga10
+ Revision: 2216269
- Mageia 10 Mass Rebuild

* Mon Nov 07 2022 ghibo <ghibo> 1.7.2-3.mga9
+ Revision: 1904471
- Add Patch2 to fix build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Jun 30 2020 akien <akien> 1.7.2-1.mga8
+ Revision: 1600650
- Version 1.7.2

* Wed Feb 12 2020 umeabot <umeabot> 1.7.1-4.mga8
+ Revision: 1510727
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.7.1-3.mga7
+ Revision: 1295414
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.7.1-2.mga6
+ Revision: 950778
- Mageia 6 Mass Rebuild

* Fri Nov 21 2014 akien <akien> 1.7.1-1.mga5
+ Revision: 798034
- Version 1.7.1
- Remove upstream patch included in the new version

* Wed Oct 15 2014 umeabot <umeabot> 1.7-4.mga5
+ Revision: 743217
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 akien <akien> 1.7-3.mga5
+ Revision: 736793
- Fix Exec in desktop file
- Add upstream patch to fix crash with Nvidia drivers

* Tue Sep 16 2014 umeabot <umeabot> 1.7-2.mga5
+ Revision: 678141
- Mageia 5 Mass Rebuild

* Thu Feb 20 2014 akien <akien> 1.7-1.mga5
+ Revision: 595137
- Require the same version of berusky-data
- New version 1.7: https://raw2.github.com/stransky/berusky/v1.7/ChangeLog

* Fri Oct 18 2013 umeabot <umeabot> 1.6-4.mga4
+ Revision: 503095
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.6-3.mga3
+ Revision: 346893
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 1.6-2.mga3
+ Revision: 336525
- fix build with new automake 1.13

* Tue Dec 11 2012 kamil <kamil> 1.6-1.mga3
+ Revision: 329707
- new version 1.6

* Sat Dec 01 2012 kamil <kamil> 1.5.2-1.mga3
+ Revision: 324316
- new version 1.5.2

* Mon Sep 03 2012 fwang <fwang> 1.5-1.mga3
+ Revision: 287490
- update br
- new version 1.5

* Mon May 28 2012 kamil <kamil> 1.4-1.mga3
+ Revision: 247753
- drop P0 (merged upstream)
- new version 1.4

* Tue Jan 31 2012 kamil <kamil> 1.3-3.mga2
+ Revision: 203637
- fix paths and make them generic for games
- include mga-fix-working-paths.patch
  o fix paths in berusky.ini
  o fix path of the .ini file

* Mon Jan 30 2012 fwang <fwang> 1.3-2.mga2
+ Revision: 203418
- br gettext-devel
- do not pull gtk2 during build
- use sourcenum
- drop unneeded BR for gtk
- fix desktop file (remove ext from icon)
- SDL req does not exist, and does not to be speficied

* Mon Jan 30 2012 kamil <kamil> 1.3-1.mga2
+ Revision: 203356
- new version 1.3
- drop berusky-level-load.patch (merged upstream)

* Mon Jan 30 2012 kamil <kamil> 1.2-5.mga2
+ Revision: 203314
- adapt .spec for Mageia
- imported package berusky


* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.2-3
- Rebuild for new libpng

* Wed Jun 22 2011 Martin Stransky <stransky@redhat.com> 1.2-2
- Fixed rhbz#689106 - seg. fault after start

* Sun Mar 6 2011 Martin Stransky <stransky@redhat.com> 1.2-1
- updated to 1.2

* Thu Nov 19 2009 Martin Stransky <stransky@redhat.com> 1.1-13
- fixed dirs (#473628)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 2 2008 Martin Stransky <stransky@redhat.com> 1.1-10
- added patch from #458477 - Berusky aborts at end 
  of intermediate level 18

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1-9
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1-8
- Autorebuild for GCC 4.3

* Fri Jan 18 2008 Martin Stransky <stransky@redhat.com> 1.1-7
- rebuild

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.1-6
- Rebuild for selinux ppc32 issue.

* Thu Jun 26 2007 Martin Stransky <stransky@redhat.com> 1.1-5
- added a menu entry and an icon

* Wed May 23 2007 Martin Stransky <stransky@redhat.com> 1.1-4
- removed spec files from binary rpm package

* Tue May 8 2007 Martin Stransky <stransky@redhat.com> 1.1-3
- moved documentation from doc/berusky-1.1/berusky to doc/berusky-1.1

* Tue May 8 2007 Martin Stransky <stransky@redhat.com> 1.1-2
- fixed build in mock

* Mon Apr 23 2007 Martin Stransky <stransky@redhat.com> 1.1-1
- fixes from #237416

* Fri Apr 20 2007 Martin Stransky <stransky@redhat.com> 1.0-1
- initial build
